Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.role
Interface RoleFactory

All Known Implementing Classes:
  RoleFactoryImpl

    public interface RoleFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `RolePackage`

Field Summary
`static RoleFactory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`Role` | `createRole()` Returns a new object of class 'Role'.
`RoleAttribute` | `createRoleAttribute()` Returns a new object of class 'Attribute'.
`RoleReference` | `createRoleReference()` Returns a new object of class 'Reference'.
`RoleSet` | `createRoleSet()` Returns a new object of class 'Set'.
`Shortcut` | `createShortcut()` Returns a new object of class 'Shortcut'.
`RolePackage` | `getRolePackage()` Returns the package supported by this factory.

Field Detail

### eINSTANCE

    static final RoleFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createRole

    Role createRole()

  Returns a new object of class 'Role'.

  Returns:
    a new object of class 'Role'.

### createRoleAttribute

    RoleAttribute createRoleAttribute()

  Returns a new object of class 'Attribute'.

  Returns:
    a new object of class 'Attribute'.

### createRoleReference

    RoleReference createRoleReference()

  Returns a new object of class 'Reference'.

  Returns:
    a new object of class 'Reference'.

### createRoleSet

    RoleSet createRoleSet()

  Returns a new object of class 'Set'.

  Returns:
    a new object of class 'Set'.

### createShortcut

    Shortcut createShortcut()

  Returns a new object of class 'Shortcut'.

  Returns:
    a new object of class 'Shortcut'.

### getRolePackage

    RolePackage getRolePackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD